package com.yihu.jw.entity.base.doctor;

import com.yihu.jw.entity.IntegerIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * @author zmk
 * 医生专病关联实体
 * Created at 2019/12/10
 */
@Entity
@Table(name = "wlyy_doctor_special_disease")
public class DoctorSpecialDiseaseDo extends UuidIdentityEntity {

    /**
     * 医生id
     */
    private String doctorCode;
    /**
     * 医生的专病门诊
     */
    private String diseaseName;

    /**
     * 关联专病code
     */
    private String diseaseCode;

    @Column(name = "doctor_code")
    public String getDoctorCode() {
        return doctorCode;
    }
    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    @Column(name = "disease_name")
    public String getDiseaseName() {
        return diseaseName;
    }
    public void setDiseaseName(String diseaseName) {
        this.diseaseName = diseaseName;
    }

    @Column(name = "disease_code")
    public String getDiseaseCode() {
        return diseaseCode;
    }
    public void setDiseaseCode(String diseaseCode) {
        this.diseaseCode = diseaseCode;
    }
}
